io.undertow.server.handlers

## Class PathTemplateHandler.PathTemplateMatch

- java.lang.Object
- - io.undertow.server.handlers.PathTemplateHandler.PathTemplateMatch

Enclosing class:
  PathTemplateHandler

Deprecated.

    @Deprecated
    public static final class PathTemplateHandler.PathTemplateMatch
    extends Object

See Also:
  `PathTemplateMatch`

### Constructor Summary

Constructors
Constructor and Description
`PathTemplateMatch(String matchedTemplate, Map<String,String> parameters)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getMatchedTemplate()` Deprecated.
`Map<String,String>` `getParameters()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathTemplateMatch

    public PathTemplateMatch(String matchedTemplate,
                             Map<String,String> parameters)

Deprecated.

### Method Detail

#### getMatchedTemplate

    public String getMatchedTemplate()

Deprecated.

#### getParameters

    public Map<String,String> getParameters()

Deprecated.